Create Virtual Account
curl --request POST \
--url https://api.cadanapay.com/v1/users/{userId}/virtual-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "USD",
"customIdentification": {
"type": "ssn",
"number": "123-45-6789"
},
"jobInformation": {
"employerName": "Acme Corp",
"address": {
"line1": "123 Main St",
"city": "Anytown",
"postalCode": "12345",
"state": "CA",
"countryCode": "US"
},
"employerWebsite": "",
"title": "Software Engineer",
"type": "full-time",
"netPay": {
"amount": 10000,
"currency": "USD"
},
"frequency": "monthly",
"contractStartDate": "2021-01-01",
"contractEndDate": "2025-05-06"
},
"suppressNotification": true
}
'import requests
url = "https://api.cadanapay.com/v1/users/{userId}/virtual-accounts"
payload = {
"currency": "USD",
"customIdentification": {
"type": "ssn",
"number": "123-45-6789"
},
"jobInformation": {
"employerName": "Acme Corp",
"address": {
"line1": "123 Main St",
"city": "Anytown",
"postalCode": "12345",
"state": "CA",
"countryCode": "US"
},
"employerWebsite": "",
"title": "Software Engineer",
"type": "full-time",
"netPay": {
"amount": 10000,
"currency": "USD"
},
"frequency": "monthly",
"contractStartDate": "2021-01-01",
"contractEndDate": "2025-05-06"
},
"suppressNotification": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currency: 'USD',
customIdentification: {type: 'ssn', number: '123-45-6789'},
jobInformation: {
employerName: 'Acme Corp',
address: {
line1: '123 Main St',
city: 'Anytown',
postalCode: '12345',
state: 'CA',
countryCode: 'US'
},
employerWebsite: '',
title: 'Software Engineer',
type: 'full-time',
netPay: {amount: 10000, currency: 'USD'},
frequency: 'monthly',
contractStartDate: '2021-01-01',
contractEndDate: '2025-05-06'
},
suppressNotification: true
})
};
fetch('https://api.cadanapay.com/v1/users/{userId}/virtual-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Virtual Accounts
Create Virtual Account
Create a new virtual account for a user
POST
/
v1
/
users
/
{userId}
/
virtual-accounts
Create Virtual Account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Path Parameters
The unique identifier for the user
Example:
"c06f3427-3bbe-4d70-9a54-28acda267e48"
Body
application/json
Response
Successful operation
⌘I